# Uses of Class
org.apache.lucene.search.TwoPhaseIterator

Packages that use TwoPhaseIterator
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of TwoPhaseIterator in org.apache.lucene.search

  Subclasses of TwoPhaseIterator in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `final class`
  `DocValuesRangeIterator`
  Wrapper around a `TwoPhaseIterator` for a doc-values range query that speeds things up by taking advantage of a `DocValuesSkipper`.
  Fields in org.apache.lucene.search declared as TwoPhaseIterator
  Modifier and Type
  Field
  Description
  `final TwoPhaseIterator`
  DisiWrapper.`twoPhaseView`
  Methods in org.apache.lucene.search that return TwoPhaseIterator
  Modifier and Type
  Method
  Description
  `TwoPhaseIterator`
  ConstantScoreScorer.`twoPhaseIterator()`
  `final TwoPhaseIterator`
  FilterScorer.`twoPhaseIterator()`
  `TwoPhaseIterator`
  Scorer.`twoPhaseIterator()`
  Optional method: Return a `TwoPhaseIterator` view of this `Scorer`.
  `static TwoPhaseIterator`
  TwoPhaseIterator.`unwrap(DocIdSetIterator iterator)`
  If the given `DocIdSetIterator` has been created with `asDocIdSetIterator(org.apache.lucene.search.TwoPhaseIterator)`, then this will return the wrapped `TwoPhaseIterator`.
  Methods in org.apache.lucene.search with parameters of type TwoPhaseIterator
  Modifier and Type
  Method
  Description
  `static void`
  ConjunctionUtils.`addTwoPhaseIterator(TwoPhaseIterator twoPhaseIter, List<DocIdSetIterator> allIterators, List<TwoPhaseIterator> twoPhaseIterators)`
  Given a two-phase iterator, find any sub-iterators and add them to the provided DocIdSetIterator and TwoPhaseIterator lists
  `static DocIdSetIterator`
  TwoPhaseIterator.`asDocIdSetIterator(TwoPhaseIterator twoPhaseIterator)`
  Return a `DocIdSetIterator` view of the provided `TwoPhaseIterator`.
  Constructors in org.apache.lucene.search with parameters of type TwoPhaseIterator
  Modifier
  Constructor
  Description
  ``
  `ConstantScoreScorer(float score, ScoreMode scoreMode, TwoPhaseIterator twoPhaseIterator)`
  Constructor based on a `TwoPhaseIterator`.
  ``
  `DocValuesRangeIterator(TwoPhaseIterator twoPhase, DocValuesSkipper skipper, long lowerValue, long upperValue, boolean queryRangeHasGaps)`